<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpEnumLabel: GIMP Widgets Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Widgets Library Reference Manual">
<link rel="up" href="libgimpwidgets-widgets.html" title="Part I. GIMP Widgets">
<link rel="prev" href="GimpEnumComboBox.html" title="GimpEnumComboBox">
<link rel="next" href="GimpFileEntry.html" title="GimpFileEntry">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpEnumLabel.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpEnumLabel.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpEnumLabel.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span><span id="nav_properties">  <span class="dim">|</span> 
                  <a href="#GimpEnumLabel.properties" class="shortcut">Properties</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpwidgets-widgets.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpEnumComboBox.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="GimpFileEntry.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpEnumLabel"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpEnumLabel.top_of_page"></a>GimpEnumLabel</span></h2>
<p>GimpEnumLabel — A <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a> subclass that displays an enum value.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpEnumLabel.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody>
<tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpEnumLabel.html#gimp-enum-label-new" title="gimp_enum_label_new ()">gimp_enum_label_new</a> <span class="c_punctuation">()</span>
</td>
</tr>
<tr>
<td class="function_type">
<span class="returnvalue">void</span>
</td>
<td class="function_name">
<a class="link" href="GimpEnumLabel.html#gimp-enum-label-set-value" title="gimp_enum_label_set_value ()">gimp_enum_label_set_value</a> <span class="c_punctuation">()</span>
</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.properties"></a><h2>Properties</h2>
<div class="informaltable"><table class="informaltable" border="0">
<colgroup>
<col width="150px" class="properties_type">
<col width="300px" class="properties_name">
<col width="200px" class="properties_flags">
</colgroup>
<tbody>
<tr>
<td class="property_type">
<a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> *</td>
<td class="property_name"><a class="link" href="GimpEnumLabel.html#GimpEnumLabel--enum-type" title="The “enum-type” property">enum-type</a></td>
<td class="property_flags">Read / Write / Construct Only</td>
</tr>
<tr>
<td class="property_type"><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></td>
<td class="property_name"><a class="link" href="GimpEnumLabel.html#GimpEnumLabel--enum-value" title="The “enum-value” property">enum-value</a></td>
<td class="property_flags">Write / Construct</td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpEnumLabel.html#GimpEnumLabel-struct" title="GimpEnumLabel">GimpEnumLabel</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkMisc.html#GtkMisc-struct">GtkMisc</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkLabel.html#GtkLabel-struct">GtkLabel</a>
                        <span class="lineart">╰──</span> GimpEnumLabel
</pre>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpEnumLabel implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.description"></a><h2>Description</h2>
<p>A <a href="../gtk2/GtkLabel.html#GtkLabel-struct"><span class="type">GtkLabel</span></a> subclass that displays an enum value.</p>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-enum-label-new"></a><h3>gimp_enum_label_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_enum_label_new (<em class="parameter"><code><a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> enum_type</code></em>,
                     <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> value</code></em>);</pre>
<div class="refsect3">
<a name="gimp-enum-label-new.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>enum_type</p></td>
<td class="parameter_description"><p>the <a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> of an enum</p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>an enum value</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect3">
<a name="gimp-enum-label-new.returns"></a><h4>Returns</h4>
<p> a new <a class="link" href="GimpEnumLabel.html" title="GimpEnumLabel"><span class="type">GimpEnumLabel</span></a>.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
<hr>
<div class="refsect2">
<a name="gimp-enum-label-set-value"></a><h3>gimp_enum_label_set_value ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>
gimp_enum_label_set_value (<em class="parameter"><code><a class="link" href="GimpEnumLabel.html" title="GimpEnumLabel"><span class="type">GimpEnumLabel</span></a> *label</code></em>,
                           <em class="parameter"><code><a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a> value</code></em>);</pre>
<div class="refsect3">
<a name="gimp-enum-label-set-value.parameters"></a><h4>Parameters</h4>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="parameters_name">
<col class="parameters_description">
<col width="200px" class="parameters_annotations">
</colgroup>
<tbody>
<tr>
<td class="parameter_name"><p>label</p></td>
<td class="parameter_description"><p>a <a class="link" href="GimpEnumLabel.html" title="GimpEnumLabel"><span class="type">GimpEnumLabel</span></a></p></td>
<td class="parameter_annotations"> </td>
</tr>
<tr>
<td class="parameter_name"><p>value</p></td>
<td class="parameter_description"><p>an enum value</p></td>
<td class="parameter_annotations"> </td>
</tr>
</tbody>
</table></div>
</div>
<p class="since">Since: <a class="link" href="api-index-2-4.html#api-index-2.4">2.4</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpEnumLabel-struct"></a><h3>GimpEnumLabel</h3>
<pre class="programlisting">typedef struct _GimpEnumLabel GimpEnumLabel;</pre>
</div>
</div>
<div class="refsect1">
<a name="GimpEnumLabel.property-details"></a><h2>Property Details</h2>
<div class="refsect2">
<a name="GimpEnumLabel--enum-type"></a><h3>The <code class="literal">“enum-type”</code> property</h3>
<pre class="programlisting">  “enum-type”                <a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> *</pre>
<p>The <a href="../gobject/gobject-Type-Information.html#GType"><span class="type">GType</span></a> of the enum.</p>
<p>Flags: Read / Write / Construct Only</p>
<p>Allowed values: void</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GimpEnumLabel--enum-value"></a><h3>The <code class="literal">“enum-value”</code> property</h3>
<pre class="programlisting">  “enum-value”               <a href="../glib/glib-Basic-Types.html#gint"><span class="type">gint</span></a></pre>
<p>The value to display.</p>
<p>Flags: Write / Construct</p>
<p>Default value: 0</p>
<p class="since">Since: <a class="link" href="api-index-2-8.html#api-index-2.8">2.8</a></p>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>